Query & workflows
Get workflow result groups by unique identifiers
Retrieve workflow execution result groups for one or more execution group unique identifiers (e.g. folder or subfolder ids).
GET
/
v1
/
workflows
/
result-groups
Get workflow result groups by unique identifiers
curl --request GET \
--url https://api.orion.file.ai/prod/v1/workflows/result-groups \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orion.file.ai/prod/v1/workflows/result-groups"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orion.file.ai/prod/v1/workflows/result-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"resultGroups": [
{
"id": "68218006ebc72170fdb221f7",
"workflowId": "68218006ebc72170fdb221f8",
"workflowStepId": "68218006ebc72170fdb221f9",
"workflowStepName": "Assessment",
"executionGroupName": "Acme Corp",
"executionGroupKey": "$contactName",
"executionGroupUniqueIdentifier": "folder-abc-123",
"status": "active",
"createdAt": "2024-10-18T16:45:50.064Z",
"updatedAt": "2025-05-15T09:23:31.609Z",
"assessment": {
"overallPassed": true,
"assessmentStatus": "PASSED",
"checklistResults": [
{
"ruleSearchId": "rule-1",
"ruleName": "Invoice present",
"passed": true,
"clauses": [
{
"blueprintName": "Invoice",
"matched": true
},
{
"blueprintName": "Purchase Order",
"matched": true
}
]
}
],
"withinSchemaResults": [
{
"ruleSearchId": "rule-2",
"blueprintId": "671290be60a313d55c800016",
"blueprintName": "Invoice",
"overallStatus": "VERIFIED"
}
],
"crossSchemaResults": [
{
"ruleSearchId": "rule-3",
"overallStatus": "UNVERIFIED"
}
]
}
}
]
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "Invalid executionGroupUniqueIdentifiers.",
"instance": "/v1/{route}",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [],
"message": "Invalid executionGroupUniqueIdentifiers.",
"error": "Unprocessable Entity",
"statusCode": 422
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}Request · Response
More details
More details
Query parameters:
- executionGroupUniqueIdentifiers (required): Comma-separated list of unique identifiers
- workflowStepIds (optional): Comma-separated workflow step ObjectIds to filter results
Authorizations
API key for authentication
Query Parameters
Comma-separated execution group unique identifiers (folder/subfolder ids)
Example:
"folder-abc-123,folder-def-456"
Optional comma-separated workflow step ObjectIds to filter by
Example:
"649e2d2d2d2d2d2d2d2d2d2e,649e2d2d2d2d2d2d2d2d2d2f"
Response
The workflow result groups are retrieved
Show child attributes
Show child attributes
⌘I
Get workflow result groups by unique identifiers
curl --request GET \
--url https://api.orion.file.ai/prod/v1/workflows/result-groups \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orion.file.ai/prod/v1/workflows/result-groups"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orion.file.ai/prod/v1/workflows/result-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"resultGroups": [
{
"id": "68218006ebc72170fdb221f7",
"workflowId": "68218006ebc72170fdb221f8",
"workflowStepId": "68218006ebc72170fdb221f9",
"workflowStepName": "Assessment",
"executionGroupName": "Acme Corp",
"executionGroupKey": "$contactName",
"executionGroupUniqueIdentifier": "folder-abc-123",
"status": "active",
"createdAt": "2024-10-18T16:45:50.064Z",
"updatedAt": "2025-05-15T09:23:31.609Z",
"assessment": {
"overallPassed": true,
"assessmentStatus": "PASSED",
"checklistResults": [
{
"ruleSearchId": "rule-1",
"ruleName": "Invoice present",
"passed": true,
"clauses": [
{
"blueprintName": "Invoice",
"matched": true
},
{
"blueprintName": "Purchase Order",
"matched": true
}
]
}
],
"withinSchemaResults": [
{
"ruleSearchId": "rule-2",
"blueprintId": "671290be60a313d55c800016",
"blueprintName": "Invoice",
"overallStatus": "VERIFIED"
}
],
"crossSchemaResults": [
{
"ruleSearchId": "rule-3",
"overallStatus": "UNVERIFIED"
}
]
}
}
]
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "Invalid executionGroupUniqueIdentifiers.",
"instance": "/v1/{route}",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [],
"message": "Invalid executionGroupUniqueIdentifiers.",
"error": "Unprocessable Entity",
"statusCode": 422
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}